Name:           perl-Apache-AuthTkt
Version:        2.2
Release:        1%{?dist}
Summary:        Module to generate authentication tickets for mod_auth_tkt apache module
License:        Perl(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Apache-AuthTkt/
Source0:        http://localhost/cpan//authors/id/G/GA/GAVINC/Apache-AuthTkt-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::SHA)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Apache::AuthTkt is a module for generating and validating authentication
tickets used with the 'mod_auth_tkt' apache module. Tickets are typically
generated by a login web page of some kind when a user has been authenticated.
The ticket contains a username/uid for the authenticated user, and often also
the IP address they authenticated from, a set of authorisation tokens, and any
other user data required. The ticket also includes an MD5 hash of all the
included user data plus a shared secret, so that tickets can be validated by
mod_auth_tkt without requiring access to the user repository.

See http://www.openfusion.com.au/labs/mod_auth_tkt for mod_auth_tkt itself.

%prep
%setup -q -n Apache-AuthTkt-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec 15 2014 Gavin Carr <gavin@openfusion.com.au> 2.2-1
- Update to version 2.2.

* Mon Mar 29 2010 Gavin Carr <gavin@openfusion.com.au> 2.1-1
- Specfile autogenerated by cpanspec 1.77.
